Subject: bug#34578: Support for different coloration of --- and +++ headers?

From: Josh Triplett <[email-masked]>
Date: Tue, 19 Feb 2019 12:48:15 -0800

I currently use colordiff to colorize diffs. I'd like to use diff
--color=auto instead, but the --palette option only offers a single
control for the color of diff headers. colordiff supports coloring the
--- and +++ headers differently, and also provides a separate color
option for the header showing diff options (diff -Naur ...).

Could diff please provide an option in --palette for these additional
color choices?

Thank you.